## org.eclipse.datatools.enablement.sqlite.ui.connection
Class NewSQLITEConnectionProfileWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizard
              org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
                  org.eclipse.datatools.connectivity.ui.wizards.ExtensibleNewConnectionProfileWizard
                      org.eclipse.datatools.enablement.sqlite.ui.connection.NewSQLITEConnectionProfileWizard

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.internal.ui.wizards.IMediator, org.eclipse.datatools.connectivity.internal.ui.wizards.ISummaryDataSource, ICPWizard, org.eclipse.help.IContextProvider, org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class NewSQLITEConnectionProfileWizard

extends ExtensibleNewConnectionProfileWizard

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
`NewConnectionProfileWizard.IFinishTask`

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`NewSQLITEConnectionProfileWizard()`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ExtensibleNewConnectionProfileWizard
`addCustomPages, canFinish, createPageControls, getProfilePage, getProfileProperties`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
`addPages, delegatesTask, getContext, getContextChangeMask, getParentProfile, getProfileDescription, getProfileIsAutoConnect, getProfileName, getProfileProviderID, getSearchExpression, getSummaryData, init, initProviderID, isFinished, isProfileNamePageSkippable, performFinish, setParentProfile, setProfileDescription, setProfileName, setProfileNameAndDescription, setSkipProfileNamePage`

Methods inherited from class org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizard
`getNextPage, getPreviousPage, getStartingPage, mediatePage`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, dispose, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getShell, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### NewSQLITEConnectionProfileWizard

    public NewSQLITEConnectionProfileWizard()